Anope IRC Services

Please login or register.

Login with username, password and session length
Advanced search  

News:

Pages: [1]   Go Down

Author Topic: Anope 1.9.5 in - Anope 1.8.6 out  (Read 5357 times)

0 Members and 1 Guest are viewing this topic.

carocho men

  • Anope User
  • Offline Offline
  • Posts: 20
Anope 1.9.5 in - Anope 1.8.6 out
« on: October 21, 2011, 01:45:45 PM »

Hi...

I'm new around here...

I'm struggling to install and setup an ircd using Anope and need some help...

I've compiled and successfully installed and confgured UnrealIRCd 3.2.8.1.

Then i've installed and configured Anope 1.8.6. I've launched ./services in debug mode (./services -debug --nofork) and apparently everything went smoothly ok...

Then i've realised that there was a newer version of anope (1.9.5). So i downlaoded it, untar it, installed CMake 2.8.6 and then i've configured Anope 1.9.5 with CMake.

Now maybe my Debian Squeeze may be a little confused (or not) because of 2 versions of anope has been installed...

Please help me un-installing both  anopes so that i start it all over again but just with anope 1.9.5 with CMake 2..6 versions installed...

How do i un-install anope 1.8.6 that has been configured just with ./Config && make && make install commands?

And how do i un-install anope 1.9.5 that was configured after CMake has been installed and been configured with ./Config && make && sudo make install commands???

Cheers
« Last Edit: October 21, 2011, 02:18:03 PM by carocho men »
Logged

Jan Milants

  • Team
  • *
  • Offline Offline
  • Gender: Male
  • Posts: 1372
Re: Anope 1.9.5 in - Anope 1.8.6 out
« Reply #1 on: October 21, 2011, 02:02:34 PM »

to "uninstall" anope, simply delete its folders... it doesn't actually install anything to the system or so, you just run it from where you compiled it to..

Also keep in mind that 1.9 is not meant as a replacement of 1.8 yet. 1.9 is the precursor to the next stable 2.0 that will replace 1.8. Releases are currently made for both branches so either can be "newer", depending on when you look.. Which you chose to run is your choice: do you want a stable version or cutting edge features.. :)
Logged
If you like me donate coins to 1FBmZVT4J8WAUMHKqpWhgNVj3XXnRN1cCk :)

carocho men

  • Anope User
  • Offline Offline
  • Posts: 20
Re: Anope 1.9.5 in - Anope 1.8.6 out
« Reply #2 on: October 21, 2011, 02:11:46 PM »

Has a newbie that i am, maybe i'm going to choose 1.8.6...

Can Anope 1.8.6 be compiled with CMake 2.8.6 the same way i've compiled and configured Anope 1.9.5??

And how can i cjeck the installed version of Anope? Is there any command to check it?

Cheers
« Last Edit: October 21, 2011, 02:18:29 PM by carocho men »
Logged

Jan Milants

  • Team
  • *
  • Offline Offline
  • Gender: Male
  • Posts: 1372
Re: Anope 1.9.5 in - Anope 1.8.6 out
« Reply #3 on: October 21, 2011, 02:25:11 PM »

cmake is only used by 1.9, 1.8 uses much older makefile scripts.. both installation and configuration are entirely different between the 2 branches as 1.9 is a complete rewrite of anope..
as for checking the installed version: just send a VERSION request (mirc: //raw version services.*) to the services server on IRC.
Logged
If you like me donate coins to 1FBmZVT4J8WAUMHKqpWhgNVj3XXnRN1cCk :)

carocho men

  • Anope User
  • Offline Offline
  • Posts: 20
Re: Anope 1.9.5 in - Anope 1.8.6 out
« Reply #4 on: October 21, 2011, 08:05:11 PM »

Thnaks for replying.

I'm now trying to use anope1..8.6...

Cheers
Logged
Pages: [1]   Go Up